GuideLab API

Create Credit Note

Create an invoice-backed or manual account credit note. Invoice-backed clinic, partnership, currency, doctor identity, tax rate, and pricing mode are derived from the source invoice; manual doctor display data is resolved from a verified clinic member.

POST
/credit-notes

Create an invoice-backed or manual account credit note. Invoice-backed clinic, partnership, currency, doctor identity, tax rate, and pricing mode are derived from the source invoice; manual doctor display data is resolved from a verified clinic member.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Header Parameters

idempotency-key*string

Stable key reused only when retrying the exact same command body

Length8 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/credit-notes" \  -H "idempotency-key: stringst" \  -H "Content-Type: application/json" \  -d '{    "invoiceId": "string",    "items": [      {        "description": "string",        "unitPrice": "string"      }    ]  }'
{  "id": "string",  "creditNoteNumber": "string"}
{  "error": "string"}
Empty